#ifndef APPLICATION_H
#define APPLICATION_H

#include <SFML/Audio/Music.hpp>
#include <SFML/System/Clock.hpp>
#include <SFML/Window/Keyboard.hpp>

#include "debughelper.h"
#include "timeline.h"

class Application
{
public:
    Application();
    void run();
    void input();
    void update();
    void draw();

private:
    sf::RenderWindow _game_window;
    sf::Music _music;

    sf::Font _font;
    sf::Text _grade;

    Timeline _timeline;
    DebugHelper _debug;

    void startGameLoop();
    void onKeyPressed(const sf::Keyboard::Key& key);
};

#endif // APPLICATION_H
